/* Filename:  stringhelp.h

   Author:  Br. David Carlson

   Date:  January 18, 2001

   This header file, together with the matching stringhelp.cpp file,
   provides StrMax, StringType, and these operations on StringType
   data: Capitalize, MyGetLine, SubstringPresent, GetSubstring, and
   GetValue.
*/

#include <iostream>
#include <fstream>
#include <cstring>
#include <cctype>
#include <cstdlib>
using namespace std;

const int StrMax = 800;  // up to 10 typical "lines" of data

typedef char StringType[StrMax];

void Capitalize(StringType String, StringType NewString);

bool SubstringPresent(StringType String, StringType Substring);

bool GetSubstring(StringType String, char StartChar, char EndChar,
   StringType Substring);

int MyGetLine(istream & InStream, char * String, int StringMax);

void GetValue(StringType EnvVariable, StringType Result);

